Loading...
Searching...
No Matches
blast-parser-driver.h File Reference
`#include <stdio.h>`
`#include <string>`
`#include <map>`
`#include <rostlab/rostlab_stdexcept.h>`
`#include "rostlab/blast-parser-parser.h"`
`#include "rostlab/blast-result.h"`
Include dependency graph for blast-parser-driver.h:

Go to the source code of this file.

## Classes

class | rostlab::blast::parser_error
class | rostlab::blast::parser_driver
| Blast (default, -m 0) output parser. More...

## Namespaces

namespace | rostlab
namespace | rostlab::blast

## Macros

#define | YY_DECL
#define | YY_DECL_FRIEND

## Variables

| YY_DECL

## Macro Definition Documentation

## YY_DECL

#define YY_DECL

Value:
rostlab::blast::parser::token_type \
yylex( rostlab::blast::parser::semantic_type* __yylval, \
rostlab::blast::parser::location_type* __yylloc, \
rostlab::blast::parser_driver& __drv, \
void* yyscanner )
rostlab::blast::parser_driver
Blast (default, -m 0) output parser.
Definition blast-parser-driver.h:59
rostlab::blast::parser::semantic_type
value_type semantic_type
Backward compatibility (Bison 3.8).
Definition blast-parser-parser.h:219
rostlab::blast::parser::location_type
location location_type
Symbol locations.
Definition blast-parser-parser.h:222

Definition at line 30 of file blast-parser-driver.h.

## YY_DECL_FRIEND

#define YY_DECL_FRIEND

Value:
rostlab::blast::parser::token_type \
(::yylex)( rostlab::blast::parser::semantic_type* __yylval, \
rostlab::blast::parser::location_type* __yylloc, \
rostlab::blast::parser_driver& __drv, \
void* yyscanner )
rostlab::blast::parser::token_type
token_kind_type token_type
Backward compatibility alias (Bison 3.6).
Definition blast-parser-parser.h:285

Definition at line 38 of file blast-parser-driver.h.

## Variable Documentation

## YY_DECL

YY_DECL

Definition at line 37 of file blast-parser-driver.h.